export type Xml = {
    type: "text";
    value: string;
} | {
    type: "node";
    attrs: object;
    tag: string;
    children: Xml[];
};
export declare const text: (value: string) => Xml;
export declare const node: (tag: string, attrs: object, children?: Xml[]) => Xml;
export declare const xmlToStringHelper: (level: number, xml: Xml) => string;
export declare const xmlToString: (xml: Xml) => string;
//# sourceMappingURL=xml.d.ts.map